unit pictur;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, inputdat;

type
  TImage1 = class(TForm)
    Image1: TImage;
    BitBtn1: TBitBtn;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Panel1: TPanel;
    procedure FormActivate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Image1: TImage1;

implementation

{$R *.DFM}

procedure TImage1.FormActivate(Sender: TObject);
begin
indeximage:=1;
Image1.Picture.LoadFromFile(syspath+'pic\'+ImageList[1]);
end;

procedure TImage1.BitBtn1Click(Sender: TObject);
begin
close;
end;

procedure TImage1.Button1Click(Sender: TObject);
begin
  if indeximage<NumberImage then
  begin
    indeximage:=indeximage+1;
    Image1.Picture.LoadFromFile(syspath+'pic\'+ImageList[indeximage]);
  end;
end;

procedure TImage1.Button2Click(Sender: TObject);
begin
  if indeximage>1 then
   begin
    indeximage:=indeximage-1;
    Image1.Picture.LoadFromFile(syspath+'pic\'+ImageList[indeximage]);
   end;
end;

procedure TImage1.Button3Click(Sender: TObject);
var
 i:integer;
begin
for i:=indeximage to  NumberImage-1 do
 ImageList[i]:=ImageList[i+1];
NumberImage:=NumberImage - 1;
close;
end;

end.
